curl --request GET \
--url https://catalog.basaltic.sh/v1/regionsimport requests
url = "https://catalog.basaltic.sh/v1/regions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog.basaltic.sh/v1/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"regions": [
{
"state": "active",
"accepting_new_resources": true,
"crn": "crn:catalog::platform:region/sa-saopaulo-1",
"code": "sa-saopaulo-1",
"name": "São Paulo 1",
"location": "São Paulo, Brazil",
"country_code": "BR",
"available": true,
"coming_soon": false
}
],
"default": "sa-saopaulo-1"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests, please try again later",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Listar regiones
Lista de regiones publicadas, incluyendo ubicaciones planificadas y en retiro. No se requiere autenticación. Las solicitudes están limitadas por la velocidad por IP del cliente. Los filtros de nombre exacto y CRN se combinan con AND; un nombre vacío no coincide con nada y un CRN vacío o mal formado devuelve 400. El valor predeterminado es la región de aceptación configurada si está en el resultado, de lo contrario la primera región de aceptación por código, o una cadena vacía cuando ninguno acepta nuevos recursos.
Las respuestas correctas pueden almacenarse en caché de forma privada durante 60 segundos. El descubrimiento no concede permisos de aprovisionamiento ni garantiza la capacidad o el estado. Una interrupción o retirada del catálogo no elimina recursos ni cambia su ubicación existente.
Parámetros de consulta
Nombre exacto del recurso, combinado con crn usando AND antes de la paginación. Los valores vacíos son filtros. Los recursos sin nombre nunca coinciden.
CRN exacto devuelto, combinado con el nombre usando AND antes de la paginación. Los CRN mal formados o vacíos devuelven 400; los CRN válidos no coincidentes o extranjeros devuelven una página vacía. Los recursos sin un CRN nunca coinciden. Los CRN de ámbito de organización usan la organización autenticada.

